Page MenuHomeDevCentral

Upgrade to PHP 8.1.5
ClosedPublic

Authored by DorianWinty on Sat, Apr 23, 14:24.

Details

Summary

PHP 8.1 will allow to build tools and CI images with recent interpreter.

Bump Oniguruma version to 6.9.8.

Reference: https://www.php.net/ChangeLog-8.php#8.1.5

Ref T1725

Test Plan

docker build .
docker run -it --rm hashnbr bash
php -i => and check if everything is okey

Diff Detail

Repository
rDPHPCLI nasqueron/php-cli Docker image
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

DorianWinty created this revision.
dereckson retitled this revision from Update docker to php8.1 to Upgrade to PHP 8.1.5.Sat, Apr 23, 15:09
dereckson edited the summary of this revision. (Show Details)
dereckson requested changes to this revision.Sat, Apr 23, 15:14
dereckson added inline comments.
Dockerfile
11–12

Last version is 8.1.5

As PHP 8.1.3 fixes security issues, it's not acceptable to ship 8.1.0 8.1.1 or 8.1.2 versions. You *must* check old versions for security issues.

12–13

Is that still the correct last one? That's the library used for regexp engine.

45

Why this line has changed?

This revision now requires changes to proceed.Sat, Apr 23, 15:14
Dockerfile
44
44

Space missing

DorianWinty marked 4 inline comments as done.

correcting errors

dereckson edited the summary of this revision. (Show Details)
This revision is now accepted and ready to land.Sat, May 7, 19:47
This revision was automatically updated to reflect the committed changes.